Bug 1593760 - [RFE] Make cards on the top of Migration page clickable
Summary: [RFE] Make cards on the top of Migration page clickable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-21 14:29 UTC by Kedar Kulkarni
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (104.69 KB, image/png)
2018-06-21 14:29 UTC, Kedar Kulkarni
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:24 UTC

Description Kedar Kulkarni 2018-06-21 14:29:31 UTC
Created attachment 1453485 [details]
Screenshot

Description of problem:
On the Migration page, we have cards, which won't do anything if we click on those. CFME QE Ran a small usability test in our team with V2V and we received this suggestion for apagac@redhat.com as
"Turn the panes (in green) into links, so user can click on them and see choosen plan type instead of choosing from the dropdown (in red)" See screenshot attached.

Version-Release number of selected component (if applicable):
CFME 5.9.3.2

How reproducible:
100%

Steps to Reproduce:
1.Navigate to migration page
2.add few infra mappings/migration plans
3.look at the cards on the top of page

Actual results:
you can see these card show numbers which are not clickable

Expected results:
Make these cards clickable and clicking on card should open respective section on the page, e.g. if I click on 'migrations in progress' card, it should switch view to show me migrations that are in progress.

Additional info:

Comment 2 Marco Berube 2018-06-27 14:25:20 UTC
Upstream issue:
https://github.com/ManageIQ/miq_v2v_ui_plugin/issues/445

Comment 3 Brett Thurber 2018-10-30 15:50:43 UTC
PR merged:  https://github.com/ManageIQ/manageiq-v2v/pull/730

Comment 4 Kedar Kulkarni 2018-10-30 17:14:18 UTC
On 5.10.0.21 build, I see that Dropdown menu for selecting plans "Not started, In progress, completed, archived" etc. has been removed and the cards on the top of the dashboard are made clickable.

Comment 5 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.